import * as langly from "langly";
import { Order } from "@payfunc/model";
export declare class IntergiroOrdersFooter {
  element: HTMLElement;
  t: langly.Translate;
  orders?: Order[];
  selected: {
    [id: string]: Order | undefined;
  };
  allSelected: boolean;
  opened: {
    [id: string]: "" | "customer" | "items";
  };
  componentWillLoad(): void;
  sumSelected(): {
    [currency: string]: number;
  };
  sumAll(): {
    [currency: string]: number;
  };
  downloadCsv(): void;
  render(): any;
}
